## org.jfree.chart.renderer
Class OutlierListCollection

    java.lang.Object
      org.jfree.chart.renderer.OutlierListCollection

    public class OutlierListCollection

extends java.lang.Object

A collection of outlier lists for a box and whisker plot. Each collection is associated with a single box and whisker entity. Outliers are grouped in lists for each entity. Lists contain one or more outliers, determined by whether overlaps have occurred. Overlapping outliers are grouped in the same list.

See Also:
  `OutlierList`

Constructor Summary
`OutlierListCollection()` Creates a new empty collection.

Method Summary
`boolean` `add(Outlier outlier)` Appends the specified element as a new `OutlierList` to the end of this list if it does not overlap an outlier in an existing list.
`boolean` `isHighFarOut()` A flag to indicate the presence of one or more far out values at the top end of the range.
`boolean` `isLowFarOut()` A flag to indicate the presence of one or more far out values at the bottom end of the range.
`java.util.Iterator` `iterator()` Returns an iterator for the outlier lists.
`void` `setHighFarOut(boolean farOut)` Sets the flag that indicates the presence of one or more far out values at the top end of the range.
`void` `setLowFarOut(boolean farOut)` Sets the flag that indicates the presence of one or more far out values at the bottom end of the range.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutlierListCollection

    public OutlierListCollection()

  Creates a new empty collection.

Method Detail

### isHighFarOut

    public boolean isHighFarOut()

  A flag to indicate the presence of one or more far out values at the top end of the range.

  Returns:
    A `boolean`.

### setHighFarOut

    public void setHighFarOut(boolean farOut)

  Sets the flag that indicates the presence of one or more far out values at the top end of the range.

  Parameters:
    `farOut` - the flag.

### isLowFarOut

    public boolean isLowFarOut()

  A flag to indicate the presence of one or more far out values at the bottom end of the range.

  Returns:
    A `boolean`.

### setLowFarOut

    public void setLowFarOut(boolean farOut)

  Sets the flag that indicates the presence of one or more far out values at the bottom end of the range.

  Parameters:
    `farOut` - the flag.

### add

    public boolean add(Outlier outlier)

  Appends the specified element as a new `OutlierList` to the end of this list if it does not overlap an outlier in an existing list. If it does overlap, it is appended to the outlier list which it overlaps and that list is updated.

  Parameters:
    `outlier` - element to be appended to this list.
  Returns:
    `true` (as per the general contract of Collection.add).

### iterator

    public java.util.Iterator iterator()

  Returns an iterator for the outlier lists.

  Returns:
    An iterator.